diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/parameterGroups.tcl smixx/src/tclTkGUI/parameterGroups.tcl
--- smixx_web/src/tclTkGUI/parameterGroups.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/parameterGroups.tcl	2007-03-19 09:55:43.000000000 +0100
@@ -0,0 +1,216 @@
+#====================================================================
+#
+#                           Boda Franek    Jan 2006
+# Copyright Information:
+#       Copyright (C) 2006 CCLRC. All Rights Reserved
+#
+#  $Id: parameterGroups.tcl,v 1.10 2007/02/16 10:54:14 franek Exp $
+#====================================================================
+namespace eval ParameterGroups {
+    namespace export group_delete parameter_create parameter_set panel_create 
+    namespace export allValExists getGroupParValues parameter_setInhibit
+    namespace export group_exists
+
+#======================================================================
+proc parameter_create {groupId id name type {width 1}} {
+# list of parameters belonging to the group
+    global grpPars
+# param data    
+    global grpParam
+
+    lappend grpPars($groupId) $id
+    set grpParam($groupId/$id/name) $name
+    set grpParam($groupId/$id/type) $type
+    set grpParam($groupId/$id/width) $width
+    set grpParam($groupId/$id/val) ""
+    set grpParam($groupId/$id/valExists) 0
+    set grpParam($groupId/$id/state) normal
+
+    return
+}
+#==================================================================
+proc group_exists {groupId} {
+	global grpPars
+	
+	return [info exists grpPars($groupId)]
+}
+#==================================================================
+proc parameter_setInhibit {groupId id} {
+	global grpPars
+	global grpParam
+    
+	if { [lsearch $grpPars($groupId) $id] == -1 } {
+        	tk_messageBox -message "No such parameter : $id"
+        	return
+	}
+ 
+	set grpParam($groupId/$id/state) disabled
+	return
+}	
+#==================================================================
+proc group_delete {groupId } {
+    global grpPars
+    global grpParam
+
+    foreach id $grpPars($groupId) {
+        unset grpParam($groupId/$id/name) 
+        unset grpParam($groupId/$id/type)
+        unset grpParam($groupId/$id/width)
+        unset grpParam($groupId/$id/val)
+        unset grpParam($groupId/$id/valExists)
+        unset grpParam($groupId/$id/state)
+    } 
+    unset grpPars($groupId)
+
+    return
+}
+#==================================================================
+proc parameter_set { groupId id val} {
+    global grpPars grpParWin
+    global grpParam
+    
+    if { [lsearch $grpPars($groupId) $id] == -1 } {
+        tk_messageBox -message "No such parameter : $id"
+        return
+    }
+    
+    if { $val == "&noval" } {
+        set grpParam($groupId/$id/valExists) 0
+        set grpParam($groupId/$id/val) ""
+    } else {
+        set grpParam($groupId/$id/valExists) 1
+        set grpParam($groupId/$id/val) $val
+	if {[info exists grpParWin($groupId)]} {
+		set win $grpParWin($groupId)
+		if {[winfo exists $win]} {
+			$win.$id/val configure -bg white
+		}
+	}
+    }
+    return
+}
+#==================================================================
+proc getParm_name { groupId id } {
+    global grpPars
+    global grpParam
+    return $grpParam($groupId/$id/name)
+} 
+#==================================================================
+proc getParm_type { groupId id } {
+    global grpPars
+    global grpParam
+    return $grpParam($groupId/$id/type)
+} 
+#==================================================================
+proc getParm_width { groupId id } {
+    global grpPars
+    global grpParam
+    return $grpParam($groupId/$id/width)
+} 
+#==================================================================
+proc getParm_val { groupId id } {
+    global grpPars
+    global grpParam
+    return $grpParam($groupId/$id/val)
+} 
+#==================================================================
+proc getParm_valExists { groupId id } {
+    global grpPars
+    global grpParam
+    return $grpParam($groupId/$id/valExists)
+} 
+
+#==================================================================
+proc getParm_state { groupId id } {
+    global grpPars
+    global grpParam
+    return $grpParam($groupId/$id/state)
+} 
+#==================================================================
+proc panel_create {win groupId} {
+    global grpPars grpParWin
+    global grpParam
+#puts stdout " Creating parpanel of group $groupId   $win"
+
+	set grpParWin($groupId) $win
+	
+    frame $win
+        set winColor [$win cget -bg]
+		label $win.namTit -text "Name" -relief flat
+		grid $win.namTit -row 0 -column 0 -pady 3 -padx 2
+
+
+        label $win.valTit -text "Value" -relief flat
+        grid $win.valTit -row 0 -column 1 -pady 3 -padx 2
+
+        label $win.typTit -text "Type" -relief flat
+        grid $win.typTit -row 0 -column 2 -pady 3 -padx 2
+
+        set i 0
+        foreach id $grpPars($groupId) {
+            set name [getParm_name $groupId $id]
+            set type [getParm_type $groupId $id]
+            set width [getParm_width $groupId $id]
+            set state [getParm_state $groupId $id]
+            set valExists [getParm_valExists $groupId $id]
+            set entryColor White
+            if { $valExists == 0 } {
+                set entryColor $winColor
+            }
+
+            incr i
+            label $win.$id/name -text $name -relief flat
+            grid $win.$id/name -row $i -column 0 -sticky e -padx 5
+            if { $type != "c" } {
+	    	if { $state == "disabled" } {
+			label $win.$id/val -textvariable grpParam($groupId/$id/val)  \
+				-bg $entryColor
+		} else {
+                	entry $win.$id/val -textvariable grpParam($groupId/$id/val)  \
+                       -borderwidth 1 -highlightthickness 1 \
+                      -state $state -bg $entryColor
+                	bind $win.$id/val <Key> "$win.$id/val configure -background white
+                                         set grpParam($groupId/$id/valExists) 1"
+		}
+		grid $win.$id/val -row $i -column 1  -padx 5 -pady 3 -sticky e
+
+                label $win.$id/type -text $type -relief flat
+                grid $win.$id/type -row $i -column 2 -padx 5 -pady 3
+            } else {
+                checkbutton $win.$id/val -variable grpParam($groupId/$id/val) \
+                           -onvalue yes -offvalue no  -state $state \
+                           -selectcolor Green -bg $entryColor
+                grid $win.$id/val -row $i -column 1 -sticky w -padx 5 -pady 3
+
+            }
+        }
+
+    return $win
+}
+#===================================================================================
+proc getGroupParValues {grId } {
+    global grpPars
+    global grpParam
+
+    set parameters {}
+
+    foreach id $grpPars($grId) {
+        lappend parameters [list $grpParam($grId/$id/name) $grpParam($grId/$id/type) $grpParam($grId/$id/val)]
+    }
+
+    return $parameters
+}
+#==================================================================================
+proc allValExists {groupId} {
+    global grpPars
+    global grpParam
+
+    foreach id $grpPars($groupId) {
+        if { $grpParam($groupId/$id/valExists) == "0" } {
+            return 0
+        }
+    }
+    return 1
+}
+}
+
Binary files smixx_web/src/tclTkGUI/rightArrow.gif and smixx/src/tclTkGUI/rightArrow.gif differ
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/selectFromListPanel_show.tcl smixx/src/tclTkGUI/selectFromListPanel_show.tcl
--- smixx_web/src/tclTkGUI/selectFromListPanel_show.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/selectFromListPanel_show.tcl	2007-01-16 16:08:34.000000000 +0100
@@ -0,0 +1,55 @@
+#==================================================================
+proc selectFromListPanel_show {title items} {
+	global listSelectionPanelPrompt
+
+	set top [dialog_create ListSelectionPanel]
+	set info [dialog_info $top]
+	set cntls [dialog_controls $top]
+	set win $top
+        
+	set listBoxId [listBox_create $info.listBox $title]
+	pack $listBoxId
+	
+	set inp [listBox_input $listBoxId]
+	$inp configure -selectmode extended	
+	
+	foreach item $items {
+		$inp insert end $item
+	}
+	
+
+	button $cntls.ok -text OK -command {set listSelectionPanelPrompt 2}
+	pack $cntls.ok -side left -expand yes
+	
+	button $cntls.cancel -text Dismiss -command {set listSelectionPanelPrompt -1}
+	pack $cntls.cancel -side left -expand yes
+
+
+	set listSelectionPanelPrompt 0
+	focus $inp
+	$inp selection set 0
+	wm protocol $win WM_DELETE_WINDOW "$cntls.cancel invoke"	
+	
+
+	dialog_wait $win listSelectionPanelPrompt
+		
+	set selection {}
+	set numselection {}
+
+	if {$listSelectionPanelPrompt =="-1"} {
+		set selection {}
+	}
+	if {$listSelectionPanelPrompt == "2"} {
+		set numselection [$inp curselection]
+		foreach nsel $numselection {
+			lappend selection [$inp get $nsel]
+		}
+	}
+	
+	grab release $win
+	wm withdraw $win
+	destroy $win
+	
+	return  $selection
+}
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/simpleEntry_show.tcl smixx/src/tclTkGUI/simpleEntry_show.tcl
--- smixx_web/src/tclTkGUI/simpleEntry_show.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/simpleEntry_show.tcl	2006-12-18 07:50:37.000000000 +0100
@@ -0,0 +1,92 @@
+#====================================================================
+#
+#                           Boda Franek    Dec 2006
+# Copyright Information:
+#       Copyright (C) 2005-2006 CCLRC. All Rights Reserved
+#
+#  $Id: simpleEntry_show.tcl,v 1.1 2006/12/18 06:50:37 franek Exp $
+#====================================================================
+#===============================================================================
+proc simpleEntry_show {text {ok "OK"} {cancel "Cancel"} } {
+# The panel is modal and has 2 sections :
+#  1 - Entry
+#  3 - controls  OK and Cancel buttons
+#===============================================================================
+	global simpleEntryWinId simpleEntryAnswer simpleEntryResult
+    
+	if { [info exists simpleEntryWinId] } {
+		bell
+		wm deiconify $simpleEntryWinId
+		raise $simpleEntryWinId
+		update idletasks
+		return
+}
+# create the Window 
+	set simpleEntryWinId [dialog_create "SimpleEntry"]
+    
+# get the window path for the information part of the dialog   
+	set info [dialog_info $simpleEntryWinId]
+
+# position it in the right place relative to the parent window
+	set parentWin .
+ 
+	set parentPosX [winfo rootx $parentWin]
+	set parentPosY [winfo rooty $parentWin]
+	
+	set x [expr $parentPosX+20]
+	set y [expr $parentPosY+20]
+    
+	wm geometry $simpleEntryWinId "+$x+$y"  
+	
+	set lab [label $info.lab -text $text -bg Yellow]
+	set ent [entry $info.ent -textvariable simpleEntryResult ]
+	
+	pack $lab $ent -pady 5
+
+	set cntls [dialog_controls $simpleEntryWinId]
+	button $cntls.ok -text $ok -command "executeOK "
+
+	pack $cntls.ok -side left -expand yes
+
+	button $cntls.cancel -text $cancel -command { set simpleEntryAnswer 0}
+	pack $cntls.cancel -side left -expand yes
+
+	bind $info.ent <Return> "$cntls.ok invoke"
+	focus $info.ent
+
+	wm protocol $simpleEntryWinId WM_DELETE_WINDOW "$cntls.cancel invoke"
+
+	set simpleEntryResult {}
+	dialog_wait $simpleEntryWinId simpleEntryAnswer
+	
+#	puts stdout $simpleEntryAnswer
+#	puts stdout $simpleEntryResult
+	simpleEntry_destroy
+
+	if { $simpleEntryAnswer == 0 } {
+		return ""
+	} else {
+		return $simpleEntryResult
+	} 
+     
+}
+#===========================================================================
+proc simpleEntry_destroy {} {
+    global simpleEntryWinId
+
+    destroy $simpleEntryWinId
+    unset simpleEntryWinId
+
+    return
+}
+#==============================================================================
+proc executeOK {} {
+    global simpleEntryWinId simpleEntryAnswer
+    
+    set simpleEntryAnswer 1
+
+
+    return
+
+}
+#===================================================================================
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/smiTclGui.in smixx/src/tclTkGUI/smiTclGui.in
--- smixx_web/src/tclTkGUI/smiTclGui.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/smiTclGui.in	2006-05-11 22:37:33.000000000 +0200
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+prefix=@prefix@
+datadir=@datadir@
+pkgdatadir=${datadir}/@PACKAGE@
+
+exec /usr/bin/wish ${pkgdatadir}/tcl/main.tcl 
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/tcl-smi.tcl smixx/src/tclTkGUI/tcl-smi.tcl
--- smixx_web/src/tclTkGUI/tcl-smi.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/tcl-smi.tcl	2007-03-19 09:55:43.000000000 +0100
@@ -0,0 +1,359 @@
+#==============================================================================
+# Tcl/Tk  -  SMI  Interface
+#
+#                                  Boda Franek    December 2005
+# Copyright Information:
+#      Copyright (C) 2006 CCLRC.   All Rights Reserved
+#
+#    $Id: tcl-smi.tcl,v 1.21 2007/01/19 14:44:59 franek Exp $
+#==============================================================================
+proc registerObject { name } {
+	global guiPID
+	global objectList
+
+	if { [info exists objectList] } {
+		if { [lsearch $objectList $name] != -1 } {
+			puts stdout " object $name is already registered in tcl-smi"
+			return 1
+		}
+	}
+    
+	lappend objectList $name
+	exec tellMonObjects $guiPID register/$name    
+	return 0
+}
+#===========================================================================
+proc requestObjectRemoval {objName} {
+	global guiPID
+	global objectList
+#	tk_messageBox -message " removal of object $objName not implemented yet"
+	if { [lsearch $objectList $objName] == "-1"  } {
+		tk_messageBox -message "non-existing object $objName can not be removed"
+	}
+	exec tellMonObjects $guiPID remove/$objName
+	return
+}
+#===========================================================
+proc startMonitoring {} {
+	global guiPID
+    global pipe
+	global monObjectsPID
+    global objectList
+    global oLfileName
+    global tcl_platform env
+
+    set platform $tcl_platform(platform)
+    
+    if { $platform == "windows" } {
+        set tempDir $env(TEMP)
+    } else {
+        set tempDir /tmp
+    }
+
+	set guiPID [pid]
+
+	set logfile $tempDir/monObjects.log
+	set errfile $tempDir/monObjects.err
+
+	if [catch {open "| monObjects $guiPID"} pipe] {
+    		tk_messageBox -message "cannot open pipe : $pipe"
+    		exit
+	}
+
+	set monObjectsPID [pid $pipe]
+#tk_messageBox -message $monObjectsPID
+	after 2000
+
+    fileevent $pipe readable [list Reader $pipe]
+    return
+}
+#=======================================================================
+proc stopMonitoring {} {
+	global guiPID
+	global monObjectsPID
+	global tcl_platform
+
+	set platform $tcl_platform(platform)
+
+	catch {exec tellMonObjects $guiPID exit/}
+            
+#	if { $platform == "windows" } {
+#		catch {exec TASKKILL /F /PID $monObjectsPID}
+#	} else {
+#		catch {exec kill -9 $monObjectsPID}  
+#	}
+
+	return
+}
+#=======================================================================
+proc Reader { pipe } {
+    global inString inStringTime    
+    global objectState objectActions objectParameters
+
+#tk_messageBox -message reader
+    if [eof $pipe] {
+        if { [catch {close $pipe} result] } {
+        	puts stderr "close $pipe ... failed"
+                puts stderr $result
+        }
+#	tk_messageBox -message "process monObjects exited"
+	puts stdout "process monObjects exited"
+        exit
+    }
+    gets $pipe inString
+    set type [getInStringType]
+#tk_messageBox -message "time:$inStringTime   Type:$type"
+#    puts stdout $inString
+
+    if {$type == "*time-tick"} {
+#        timeTickUpdate
+        return
+    }
+
+    if {$type != "*object"} {
+        puts stdout "Proc Reader : Unknown Type |$type|"
+        puts stdout $inString
+        return
+    }           
+    set object [getInStringObject]
+
+#    set state [getInStringObjectState]
+
+    unpackInString $object
+    
+#    puts stdout [getObjectActions $object [getState $object]]
+    
+    userUpdate $type $object
+
+    return    
+}
+###################################################################
+
+proc getInStringType {} {
+    global inString inStringList inStringTime 
+    set inStringList [split $inString /]
+    set inStringTime [lindex $inStringList 0]
+    set type [lindex $inStringList 1]
+    return $type
+}
+###################################################################
+proc getInStringObject {} {
+    global inStringList
+    set object [lindex $inStringList 2]
+    return $object
+}
+#===========================================================================
+proc unpackInString {object} {
+    global inStringList
+    global objectState objectParameters objectActions actionParameters
+
+	
+#	puts stdout $inStringList
+	
+    set noElements [llength $inStringList]
+
+    set point 4
+    set state [lindex $inStringList 4]
+    set objectState($object) $state
+   
+#                    Object Parameters
+    incr point
+# The next element is either *pars if object has parameters or *end_state
+    if {[lindex $inStringList $point] == "*pars" } {
+    	set begpars $point
+        set parameters ""
+        set endpars [findElement [lrange $inStringList $point end] "*end_pars"]
+	if { $endpars <0 } {
+		tk_messageBox -message "Wrong Syntax - processing object parameters,\n \
+		      *end_pars not found:\n $inStringList"
+		exit
+	}
+#   this points to *end_pars
+	incr point $endpars
+	incr begpars
+	set endpars $point
+	incr endpars -1
+	set objparList [lrange $inStringList $begpars $endpars]
+#	puts stdout " "
+#	puts stdout "begpars $begpars   endpars  $endpars"
+#	puts stdout $objparList
+	set objectParameters($object) [processParameters $objparList]
+#	puts stdout $objectParameters($object)
+# this points to *end_state
+	incr point
+    } 
+    
+	if {[lindex $inStringList $point] != "*end_state" } {
+		tk_messageBox -message "Wrong syntax - *end_state not found:\n $inStringList"
+		exit
+	}	
+    
+    
+#      
+#                 Object Actions
+#tk_messageBox -message "point $point   noElements $noElements"
+# now it looks : *action......*end_action *action....*end_action
+
+    set actions ""
+    
+    
+    incr point 
+    if {$noElements <= $point} {
+        return
+    }
+#tk_messageBox -message "point $point  [lindex $inStringList $point]"
+    while { 1 == 1 } {
+        set element [lindex $inStringList $point]
+	if { $element != "*action" } {
+		tk_messageBox -message "Wrong Syntax :$inStringList"
+		exit
+	}
+	set iend [findElement [lrange $inStringList $point end] "*end_action"]
+	if { $iend < 0 } {
+		tk_messageBox -message "Wrong Syntax - *end_action not found:$inStringList"
+		exit
+	}
+	
+	incr iend $point
+	set first $point
+	incr first
+	set last $iend
+	incr last -1
+	set actionList [lrange $inStringList $first $last]
+#	puts stdout $actionList
+	set action [lindex $actionList 0]
+	lappend actions $action
+	if {[llength $actionList] > 1} {
+		if { [lindex $actionList 1] != "*pars" || [lindex $actionList end] != "*end_pars" } {
+			tk_messageBox -message "Wrong syntax - *pars or *end_pars not found: $inStringList"
+			exit
+		}
+		set actionParameters($object/$state/$action) [processParameters [lrange $actionList 2 end-1] ]
+#		puts stdout $actionParameters($object/$state/$action)
+	}
+	set point $iend
+        incr point
+	if {$noElements <= $point} {
+		break
+	}
+    }
+    
+#    puts stdout $actions
+    set objectActions($object/$state) $actions
+#tk_messageBox -message $actions
+    return 
+}
+#=======================================================================================
+proc processParameters {parameters} {
+
+	set noPar [llength $parameters]
+	
+	for {set i 0} {$i < $noPar} {incr i} {
+		set parm [lindex $parameters $i]
+		if {[string first = $parm] == -1} {
+			set nametype $parm
+			set def ""
+		} else {
+			set splitted [split $parm =]
+			set nametype [lindex $splitted 0]
+			set def [lindex $splitted 1]
+		}
+		set brakinx [string first ( $nametype]
+		set name [string range $nametype 0 [expr $brakinx - 1] ]
+		set type [string range $nametype [expr $brakinx + 1] [expr [string length $nametype] - 2]]
+		
+		if { $type == "S" } {
+                	set defEASCII [convertHEXtoEASCII $def]
+			set parmNew [list $name $type $defEASCII]
+                } else {
+                	set parmNew [list $name $type $def]
+                }
+		lappend parsNew $parmNew
+	}
+	return $parsNew
+}
+#==========================================================================
+proc findElement {inpList elem} {
+	set inx [lsearch $inpList $elem]
+	return $inx
+}
+#==========================================================================
+proc getState {object} {
+    global objectState
+    
+    return $objectState($object)
+
+}
+#===========================================================================
+proc getObjectParameters {object} {
+	global objectParameters
+
+	if { [info exists objectParameters($object)] == 0 } {
+		return {}
+	} else {
+		return $objectParameters($object)
+	}
+}
+#===========================================================================
+proc getObjectActions {object state} {
+	global objectActions
+
+	if { [info exists objectActions($object/$state)] == 0 } {
+		set actions {}
+	} else {
+		set actions $objectActions($object/$state)
+	}
+
+	return $actions
+}
+#==========================================================================
+proc getActionParameters {object state action} {
+	global actionParameters
+
+	if { [info exists actionParameters($object/$state/$action)] == 0 } {
+		set parameters {}
+	} else {
+		set parameters $actionParameters($object/$state/$action)
+	}
+	
+	return $parameters
+}
+#============================= dispatchAction =============================
+proc dispatchAction {object action {parameters none} } {
+	global guiPID
+
+    set dbg 0
+
+   set actionString $action
+  
+    if { $parameters != "none" } {
+        foreach par $parameters {
+            set parname [lindex $par 0]
+	    set partype [lindex $par 1]
+            set parval  [lindex $par 2]
+	    if { $partype == "S" } {	    
+	    	set parvalConv [ convertEASCIItoHEX $parval ]
+            } else {
+            	set parvalConv $parval
+            }
+
+            append actionString "/" $parname " ${partype} " $parvalConv
+        }
+    } 
+   
+    if {$dbg != "0"} {
+        set confirm [tk_messageBox -type okcancel -icon warning \
+        -message \
+	"Object: $object 
+Action string:  $actionString"]
+
+        if {$confirm =="cancel"} {
+            return
+        }
+     }
+
+
+	catch {exec tellMonObjects $guiPID "command/$object/$actionString" &} 
+#     logMessage "Sent Command : $actionString  to Object : $object"
+     return
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/testParPanel.tcl smixx/src/tclTkGUI/testParPanel.tcl
--- smixx_web/src/tclTkGUI/testParPanel.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/testParPanel.tcl	2007-03-19 09:55:43.000000000 +0100
@@ -0,0 +1,23 @@
+#! /usr/bin/wish -f
+# 
+source actionParPanel_display.tcl
+source parameterGroups.tcl
+source $env(SMIDIR)/src/utilities/efftcl/dialog.tcl
+source dispatchAction.tcl
+
+#=====================================================================
+proc settingsButton_createNew {win} {
+    global infoGrey hel10font 
+
+    
+    button $win -text "Settings"  -relief flat \
+  -command {actionParPanel_display BODA::OBJECT GOTO_FIRST {{APAR S abcd} {BPAR I {}} {CPAR F 1.78}} }
+    
+    return $win
+}
+#==================================================================
+#==================================================================
+  
+   set settingsIdNew [settingsButton_createNew .settingsNew]
+
+    pack $settingsIdNew -side left -padx 8
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/testSelectFromListPanel.tcl smixx/src/tclTkGUI/testSelectFromListPanel.tcl
--- smixx_web/src/tclTkGUI/testSelectFromListPanel.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/testSelectFromListPanel.tcl	2006-11-26 10:03:45.000000000 +0100
@@ -0,0 +1,29 @@
+#! /usr/bin/wish -f
+# 
+source listBox_create.tcl
+source $env(SMIDIR)/src/utilities/efftcl/my_dialog.tcl
+source selectFromListPanel_show.tcl
+
+#=====================================================================
+proc settingsButton_createNew {win} {
+    global infoGrey hel10font 
+
+    
+    button $win -text "Settings"  -relief flat \
+  -command "selectFromListPanel_show Domains {DOMAIN1 DOMAIN2 DOMAIN3 DOMAIN4 DOMAIN5 DOMAIN6} "
+    
+    return $win
+}
+#==================================================================
+  frame .d
+  
+   set settingsIdNew [settingsButton_createNew .d.settingsNew]
+
+    pack $settingsIdNew -side left -padx 8
+    
+    pack .d
+
+#	set listBoxId [listBox_create .d.listBox Test]
+#		set listBoxId [label $info.listBox -text hey]
+#	pack $listBoxId
+	
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/testobjectParPanel.tcl smixx/src/tclTkGUI/testobjectParPanel.tcl
--- smixx_web/src/tclTkGUI/testobjectParPanel.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/testobjectParPanel.tcl	2007-01-25 12:58:31.000000000 +0100
@@ -0,0 +1,41 @@
+#! /usr/bin/wish -f
+# 
+source objectParPanel_create.tcl
+source parameterGroups.tcl
+
+#=====================================================================
+proc settingsButton_createNew {win} {
+    global infoGrey hel10font 
+
+    
+    button $win -text "display"  -relief flat \
+  -command {display}
+    
+    return $win
+}
+#==================================================================
+proc display {} {
+	global wintop
+#	  set panelId [objectParPanel_create $wintop.panel  {{APAR S abcd} {BPAR I {}} {CPAR F 1.78}} Hovno]	
+#	  pack $panelId -side top
+	  set panelId [objectParPanel_display .parms  {{APAR S abcd} {BPAR I {}} {CPAR F 1.78}} Hovno]	
+	puts stdout [winfo toplevel $panelId]
+	puts stdout $panelId
+}
+#==================================================================
+  
+   set settingsIdNew [settingsButton_createNew .settingsNew]
+   
+   global panelId
+   global wintop
+#    set wintop .object_BODA::OBJECT
+ 
+     set wintop .tt:tt  
+    toplevel $wintop
+    	frame $wintop.f
+    		label $wintop.f.l1 -text XXXXXXXX
+    		set but [settingsButton_createNew $wintop.f.but]
+		pack $wintop.f.l1 $but -side left
+		
+ 
+ 	pack $wintop.f
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/tclTkGUI/topbar.tcl smixx/src/tclTkGUI/topbar.tcl
--- smixx_web/src/tclTkGUI/topbar.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/tclTkGUI/topbar.tcl	2007-02-16 11:48:01.000000000 +0100
@@ -0,0 +1,62 @@
+#==============================================================================
+#
+#                                  Boda Franek    December 2006
+# Copyright Information:
+#      Copyright (C) 2005-2006 CCLRC.   All Rights Reserved
+#
+#    $Id: topbar.tcl,v 1.6 2007/02/16 10:48:01 franek Exp $
+#==============================================================================
+proc topbar_create {win} {
+	global hel10font
+	
+	frame $win -relief flat -relief ridge -borderwidth 2 -background gray70
+		set fileId [fileButton_create $win.file]
+		pack $fileId -side left -padx 8
+	return $win
+}
+#==============================================================================
+proc fileButton_create {win} {
+	global hel10font
+	
+	menubutton $win -text "File" -relief flat \
+	           -background gray70 -menu $win.menu
+	
+	menu $win.menu
+	$win.menu add command -label "Save the configuration" \
+				-command saveConfiguration
+	$win.menu add command -label "Exit" -command exitProcedure
+	return $win
+}
+#=============================================================================
+proc saveConfiguration {} {
+	global objectsOnCanvas
+	
+	set filename [tk_getSaveFile -title "Configuration File"]
+	puts stdout $filename
+	if { $filename == "" } {
+		return
+	}
+	if [catch {open $filename w} chanId] {
+		tk_messageBox -message "cannot open $filename : $chanId"
+		return
+	}
+	
+	set i 0
+	while { "1" == "1" } {
+		set elem [lindex $objectsOnCanvas $i]
+		if { $elem == "" } {
+			break
+		}
+		puts $chanId $elem
+		incr i
+	}
+	
+	close $chanId
+	return
+}
+#=============================================================================
+proc exitProcedure {} {
+
+	stopMonitoring
+	return
+}
Binary files smixx_web/src/tclTkGUI/upArrow.gif and smixx/src/tclTkGUI/upArrow.gif differ
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/translator/History smixx/src/translator/History
--- smixx_web/src/translator/History	2005-08-09 17:57:48.000000000 +0200
+++ smixx/src/translator/History	2007-03-19 09:55:43.000000000 +0100
@@ -800,3 +800,16 @@
 === 20-May-2005:15:58 ==========  v27  =================
 === 25-May-2005:12:04 ==========  v27r1  =================
 === 14-July-2005:17:07 ==========  v28  =================
+=== 28-September-2005:15:35 ==========  v28r1  =================
+=== 06-October-2005:15:38 ==========  v29  =================
+=== 20-January-2006:14:46 ==========  v29r1  =================
+
+ 31-Mar=2006  (Boda Franek)
+ 
+ isofclassobject.cxx   method outSobj : warning issued when the object has
+            ASSOCIATED attribute declared because this is taken from the class
+	    
+ 
+=== 31-March-2006:17:27 ==========  v30  =================
+=== 19-May-2006:20:34 ==========  v31  =================
+=== 21-May-2006:21:01 ==========  v31r1  =================
